Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: как заблокировать пакеты от обновлений firefox.  (Прочитано 2976 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн M15uf

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
firefox упорно "самостоятельно" и очень тихо (никак не могу уловить этот момент) обновляется до последней версии (при этом в apt cache появляются соответствующие пакеты).

Откатываюсь на нужную версию имея три файла:

firefox_28.0+build2-0ubuntu2_i386.deb
firefox-locale-en_28.0+build2-0ubuntu2_i386.deb
firefox-locale-ru_28.0+build2-0ubuntu2_i386.deb

# dpkg -i *.deb

Что уже было сделано (и не помогло):
- заблокированы пакеты в synaptic (однако после "тихого обновления" firefox, заблокированными оказываются новые версии пакетов);

- отключины обновления;


 проверено:
"обновление приложений" при таких настройках не предлагает обновить firefox;

а вот apt-get upgrade всеравно предлагает:
# apt-get upgrade
...
Пакеты, которые будут обновлены:
  firefox firefox-locale-en firefox-locale-ru
обновлено 3, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 30,7 MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 16,7 MB.
Хотите продолжить? [Д/н]
...

Помогите, пожалуйсиа, разобраться как все таки заблокировать пакеты от обновлений.
p.s. система xubuntu 14.04 Linux 3.13.0-30-generic #54-Ubuntu SMP i686
« Последнее редактирование: 12 Июль 2014, 14:18:18 от M15uf »

Оффлайн Алексиус

  • Участник
  • *
  • Сообщений: 116
    • Просмотр профиля
Возможно ошибаюсь в данном случае, но попробуй отключить автообновление из about:config в самом ФФ. На русском форуме мозиллы есть подобные темы. Правда, они не касаются ubuntu.

Ubuntu 16.04.5

Оффлайн Dfg

  • Активист
  • *
  • Сообщений: 323
    • Просмотр профиля
А какой сакральный смысл откатываться на старую версию?

Оффлайн M15uf

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
Все дело в отношении. Для меня браузер - инструмент. А новый вид (версии 29+) мне не нравится. Дополнение меняющее вид мне тоже ненравиться. Но больше всего меня задело навязчивое самостоятельное обновление. Так что это личное. (закрою автообновление и успокоюсь, позже может и перейду на Australis... много, много позже.)
« Последнее редактирование: 06 Июль 2014, 19:01:14 от M15uf »

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
В новых версиях не только внешний вид меняется, но и закрываются критические уязвимости.

Оффлайн M15uf

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
Пока что-то не одна "уязвимость" себя не проявила, а вот не удобный интерфейс "явил себя в полной славе".

Пользователь решил продолжить мысль 06 Июль 2014, 17:45:17:
Возможно ошибаюсь в данном случае, но попробуй отключить автообновление из about:config в самом ФФ. На русском форуме мозиллы есть подобные темы. Правда, они не касаются ubuntu.

Действительно, на странице настроек about:config просмотрел параметры и изменил парy из них с true на false:

app.update.auto;   false
app.update.enabled;   false
« Последнее редактирование: 06 Июль 2014, 17:45:17 от M15uf »

Оффлайн SYN

  • Участник
  • *
  • Сообщений: 235
    • Просмотр профиля
Разве при обновлении нельзя снять галочки с "ненужных" к обновлению программ?

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Блокировка версии пакета и обновлений:
aptitude install <package>=
Пока что-то не одна "уязвимость" себя не проявила...
Народ обычно замечает неладное, когда у них с карточек пропадает наличность.
Или когда уводят почту со всеми аккаунтами, на неё зареганными.
Но к тому времени становится уже поздно...

Оффлайн RingOV

  • Активист
  • *
  • Сообщений: 724
    • Просмотр профиля
M15uf,
sudo apt-mark hold firefox firefox-locale-en firefox-locale-ruпосле этого через терминал обновляться не будет

Оффлайн M15uf

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
Разве при обновлении нельзя снять галочки с "ненужных" к обновлению программ?

Разумееться. Но ff и без галочек и без "при обновлении" прекрасно САМ ПО СЕБЕ обновлялся. Вот в чем проблема.

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15194
    • Просмотр профиля
    • aetera.net
Просто существует 2 типа блокировки, и только один из них блокирует обновление версии пакета.

Оффлайн M15uf

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
Огромное спасибо всем кто учавствовал в обсуждении (и кто просто просматривал тему, т.к. соотношение просмотров к ответам заставило "пошевелиться" самому).

И так. Собрав всё воедино отчитываюсь:

Помимо параметров на странице настроек FF about:config ...

1-й способ:

Посмотреть статус пакетов:

# sudo dpkg --get-selections | grep 'firefox'
firefox install
firefox-locale-en install
firefox-locale-ru install

Поменять статус пакета чтобы не обновлялся:

# sudo echo 'firefox hold' | sudo dpkg --set-selections
# sudo echo 'firefox-locale-en hold' | sudo dpkg --set-selections
# sudo echo 'firefox-locale-ru hold' | sudo dpkg --set-selections

Проверить статус пакетов:

# sudo dpkg --get-selections | grep 'firefox'
firefox hold
firefox-locale-en hold
firefox-locale-ru hold

Если понадобиться вернуть - поменять статус пакета чтобы обновлялся:

# sudo echo 'firefox install' | sudo dpkg --set-selections
# sudo echo 'firefox-locale-en install' | sudo dpkg --set-selections
# sudo echo 'firefox-locale-ru install' | sudo dpkg --set-selections


2-й способ используя apt:

Зафиксировать пакет:

# sudo apt-mark hold firefox
firefox помечен как зафиксированный.
# sudo apt-mark hold firefox-locale-en
firefox-locale-en помечен как зафиксированный.
# sudo apt-mark hold firefox-locale-ru
firefox-locale-ru помечен как зафиксированный.

если пакет уже отмечен как зафиксированный, то будет сообщение например:

firefox уже помечен как зафиксированный.
firefox-locale-en уже помечен как зафиксированный.
firefox-locale-ru уже помечен как зафиксированный.

Отменить фиксацию пакета:

# sudo apt-mark unhold firefox
Отмена фиксации для firefox.
# sudo apt-mark unhold firefox-locale-en
Отмена фиксации для firefox-locale-en.
# sudo apt-mark unhold firefox-locale-ru
Отмена фиксации для firefox-locale-ru.


3-й способ используя aptitude:

например:

закрыть: # sudo aptitude hold firefox
открыть: # sudo aptitude unhold firefox

(хотя aptitude установлен, в данном случае, никакого эфекта эти команды не дали.)

4-й способ используя synaptic: (в моём случае дал частичный результат - смотри первый пост).

Дополнительно информация взята с (на странице по ссылке кроме материала по теме есть звуковая реклама) http://laptop.ucoz.ru/news/kak_zablokirovat_obnovlenie_opredelennogo_paketa_programmy_v_ubuntu/2013-10-20-2639

Для проверки:

# apt-get upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Готово
Пакеты, которые будут оставлены в неизменном виде:
  firefox firefox-locale-en firefox-locale-ru
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 3 пакетов не обновлено.

и


« Последнее редактирование: 12 Сентябрь 2014, 18:38:54 от M15uf »

Оффлайн КНВ

  • Активист
  • *
  • Сообщений: 690
    • Просмотр профиля
M15uf, а почему бы ESR не использовать? Он и обновляется регулярно и стабилен.
https://forum.ubuntu.ru/index.php?topic=244925.0;topicseen
« Последнее редактирование: 07 Июль 2014, 03:17:06 от КНВ »

Оффлайн M15uf

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
КНВ это ведь очевидно! esr версия гараздо менее доступна (в линуксе даже менее чем в виндоусе). Хотя мне интересно и уже хочется, не думаю что вскоре решусь повозиться с esr. А когда решусь, то начну с windows.

Оффлайн КНВ

  • Активист
  • *
  • Сообщений: 690
    • Просмотр профиля
Цитировать
esr версия гараздо менее доступна
:idiot2:
можно ещё здесь взять.
« Последнее редактирование: 11 Июль 2014, 17:09:11 от КНВ »

 

Страница сгенерирована за 0.061 секунд. Запросов: 24.